<?
	
	//Функция оформления
	function div($text,$div)
	{
		echo '<div class="'.$div.'">'.$text.'</div>';
	}
	//Функция обработки переменных
	function check($str)
	{
		$str = htmlentities($str, ENT_QUOTES, 'UTF-8');
		$str = str_replace("\'", "&#39;", $str);
		$str = str_replace("\r\n", "<br/>", $str);
		$str = strtr($str, array(chr("0") => "", chr("1") => "", chr("2") => "", chr("3") => "", chr("4") => "", chr("5") => "", chr("6") => "", chr("7") => "", chr("8") => "", chr("9") => "", chr("10") => "", chr("11") => "", chr("12") => "", chr
		("13") => "", chr("14") => "", chr("15") => "", chr("16") => "", chr("17") => "", chr("18") => "", chr("19") => "", chr("20") => "", chr("21") => "", chr("22") => "", chr("23") => "", chr("24") => "", chr("25") => "", chr("26") => "", chr("27") =>
		"", chr("28") => "", chr("29") => "", chr("30") => "", chr("31") => ""));
		$str = str_replace('\\', "&#92;", $str);
		$str = str_replace("|", "I", $str);
		$str = str_replace("||", "I", $str);
		$str = str_replace("/\\\$/", "&#36;", $str);
		$str = str_replace("[l]http://", "[l]", $str);
		$str = str_replace("[l] http://", "[l]", $str);
		$str = mysql_real_escape_string($str);
		return $str;
	}

	//Класс постраничной навигации
	class PAGINGS
	{
		public $total;
		private $total_pages;
		private $page;
		private $start;
		private $end;
		public $get;
		public $count_get;

		public function __construct($size, $query)
		{
			$this->total = mysql_result(mysql_query(preg_replace('~SELECT (.*?) FROM~isU', 'SELECT COUNT(*) FROM', $query).' ;'), 0);
			$this->total_pages = ceil($this->total / $size);
			$this->page = isset($_POST['page']) ? $_POST['page'] : $_GET['page'];
			$this->page = !empty($this->page) && ctype_digit($this->page) && $this->page >= 1 && $this->page <= $this->total_pages ? $this->page : 1;
			$this->start = ($this->page * $size) - $size;
			$this->end = $this->start + $size < $this->total ? $this->start + $size : $this->total;
			$this->get = mysql_query($query.' LIMIT '.$this->start.', '.$size.' ;');
			$this->count_get = @ mysql_num_rows($this->get);
		}

		public function Links($link)
		{
			$link_list = '';
			$start = $this->page - 3;
			$end = $this->page + 3;
			for($i = $start; $i <= $end; $i++){$link_list .= ($i <= $this->total_pages && $i >= 1 ? ($this->page != $i ? ' <a href="'.$link.'page='.$i.'&amp;'.SID.'">'.$i.'</a> ' : ' <font color="#4EEE94">['.$i.']</font> ') : '');}
			return '<div class="blok">
			'.($this->page > 1 ? '<a href="'.$link.'page='.($this->page - 1).'&amp;'.SID.'"><---</a>' : '').' '.($start > 1 ? '<a href="'.$link.'page=1&amp;'.SID.'">1</a> ... ' : '').$link_list.($end < $this->total_pages ? ' ... <a href="'.$link.'page='.$this->total_pages.'&amp;'.SID.'">'.$this->total_pages.'</a>' : '').' '.($this->page < $this->total_pages ? '<a href="'.$link.'page='.($this->page + 1).'&amp;'.SID.'">---></a>' : '').'</div>'."\r\n";
		}
	}
	//Функция определения IP
	function ips()
	{
		if (!empty($_SERVER['HTTP_CLIENT_IP']))
		{
			$ip=$_SERVER['HTTP_CLIENT_IP'];
		}
		elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))
		{
			$ip=$_SERVER['HTTP_X_FORWARDED_FOR'];
		}
		else
		{
			$ip=$_SERVER['REMOTE_ADDR'];
		}
		return $ip;
	}
	//Функция определения UA
	function browser($type = 0)
	{
		global $_SERVER; 
		if(isset($_SERVER['HTTP_X_OPERAMINI_PHONE_UA'])) 
		{
			$browsus = htmlentities($_SERVER['HTTP_X_OPERAMINI_PHONE_UA'],ENT_QUOTES,'utf-8');
		}
		elseif(isset($_SERVER['HTTP_USER_AGENT']))
		{
			$browsus= htmlentities($_SERVER['HTTP_USER_AGENT'],ENT_QUOTES,'utf-8');
		}
		else
		{
			$browsus='Не определён';
		}
		$brow=preg_replace('|http://|i','', $browsus); 
		$brow=preg_replace('|ftp://|i','', $browsus); 
		switch($type) 
		{ 
			case "1": 
				$brow=strtok($brow,'('); 
				$brow=strtok($brow,' '); 
				$brow=substr($brow,0,22); 
				$browser = htmlentities($brow,ENT_QUOTES,'utf-8'); 
			break; 
			case "0": 
				$browser = htmlentities($brow,ENT_QUOTES,'utf-8'); 
			break; 
			default: 
				$browser = FALSE; 
			break; 
		}
		return $browser; 
	}
	

	//Функция времени
	function dates($timestamp)
	{
		$datestamp = date('d.m.o-H:i',$timestamp);

		return $datestamp;
	}

	

		//Должности
	function adm($level)
	{
		if($level==9)$status='<font color="#FF0000"><ins><b>[Создатель]</b></ins></font>';
		if($level==8)$status='<font color="#FF4500"><ins><b>[Главный администратор]</b></ins></font>';
		if($level==7)$status='<font color="#D2691E"><ins><b>[Игровой администратор]</b></ins></font>';
		if($level==6)$status='<font color="#0000FF"><ins><b>[Старший модератор]</b></ins></font>';
		if($level==5)$status='<font color="#008B8B"><ins><b>[Модератор]</b></ins></font>';
		if($level==1)$status='<font color="#4EEE94"><ins><b>[Игрок]</b></ins></font>';
		if($level==0)$status='<font color="#FFFFFF"><ins><b>[Гость]</b></ins></font>';
		return $status;
	}
	//Функция ошибок
	function error($error = false)
	{
		if ($error)
		{
			$out = '<div class="c">';
			if (is_array($error))
			{
				foreach ($error as $val)
					$out .= $val;
			}
			else
			{
				$out .= '<br />' . $error;
			}
			$out .= '</div>';
			return $out;
		}
		else
		{
			return false;
		}
	}
function smiles($str)
{
$dir = opendir($_SERVER["DOCUMENT_ROOT"] . "/smile");
while ($file = readdir($dir))
{
if (ereg(".gif$", "$file"))
{
$file2 = $file;
$file2 = str_replace(".gif", "", $file2);
$str = str_replace(":$file2", "<img src=\"../smile/$file2.gif\" alt=\"\" />", $str);
}
}
closedir($dir);
return $str;
}
	    function antilink($var) {
        $var = preg_replace('~\\[url=(https?://.+?)\\](.+?)\\[/url\\]|(https?://(www.)?[0-9a-z\.-]+\.[0-9a-z]{2,6}[0-9a-zA-Z/\?\.\~&amp;_=/%-:#]*)~', ' [спам]', $var);
        $var = strtr($var, array (
			'vk' => 'Вы ввели спам!Не нарушайте Правила!',
			'.com' => 'Вы ввели спам!Не нарушайте Правила!',
			'.info' => 'Вы ввели спам!Не нарушайте Правила!',
			'.mobi' => 'Вы ввели спам!Не нарушайте Правила!',
			'.name' => 'Вы ввели спам!Не нарушайте Правила!',
			'.net' => 'Вы ввели спам!Не нарушайте Правила!',
			'.org' => 'Вы ввели спам!Не нарушайте Правила!',
			'.cn' => 'Вы ввели спам!Не нарушайте Правила!',
			'.in' => 'Вы ввели спам!Не нарушайте Правила!',
			'.ru' => 'Вы ввели спам!Не нарушайте Правила!',
			'.рф' => 'Вы ввели спам!Не нарушайте Правила!',
			'.su' => 'Вы ввели спам!Не нарушайте Правила!',
			'.pp' => 'Вы ввели спам!Не нарушайте Правила!',
			'.ру' => 'Вы ввели спам!Не нарушайте Правила!',
			'.моби' => 'Вы ввели спам!Не нарушайте Правила!',
			'.mobi' => 'Вы ввели спам!Не нарушайте Правила!',
			
			'-com' => 'Вы ввели спам!Не нарушайте Правила!',
			'-info' => 'Вы ввели спам!Не нарушайте Правила!',
			'-mobi' => 'Вы ввели спам!Не нарушайте Правила!',
			'-name' => 'Вы ввели спам!Не нарушайте Правила!',
			'-net' => 'Вы ввели спам!Не нарушайте Правила!',
			'-org' => 'Вы ввели спам!Не нарушайте Правила!',
			'-cn' => 'Вы ввели спам!Не нарушайте Правила!',
			'-in' => 'Вы ввели спам!Не нарушайте Правила!',
			'-ru' => 'Вы ввели спам!Не нарушайте Правила!',
			'-рф' => 'Вы ввели спам!Не нарушайте Правила!',
			'-su' => 'Вы ввели спам!Не нарушайте Правила!',
			'-pp' => 'Вы ввели спам!Не нарушайте Правила!',
			'-ру' => 'Вы ввели спам!Не нарушайте Правила!',
			'-моби' => 'Вы ввели спам!Не нарушайте Правила!',
			'-mobi' => 'Вы ввели спам!Не нарушайте Правила!',
			
			':com' => 'Вы ввели спам!Не нарушайте Правила!',
			':info' => 'Вы ввели спам!Не нарушайте Правила!',
			':mobi' => 'Вы ввели спам!Не нарушайте Правила!',
			':name' => 'Вы ввели спам!Не нарушайте Правила!',
			':net' => 'Вы ввели спам!Не нарушайте Правила!',
			':org' => 'Вы ввели спам!Не нарушайте Правила!',
			':cn' => 'Вы ввели спам!Не нарушайте Правила!',
			':in' => 'Вы ввели спам!Не нарушайте Правила!',
			':ru' => 'Вы ввели спам!Не нарушайте Правила!',
			':рф' => 'Вы ввели спам!Не нарушайте Правила!',
			':su' => 'Вы ввели спам!Не нарушайте Правила!',
			':pp' => 'Вы ввели спам!Не нарушайте Правила!',
			':ру' => 'Вы ввели спам!Не нарушайте Правила!',
			':моби' => 'Вы ввели спам!Не нарушайте Правила!',
			':mobi' => 'Вы ввели спам!Не нарушайте Правила!',

			'_com' => 'Вы ввели спам!Не нарушайте Правила!',
			'_info' => 'Вы ввели спам!Не нарушайте Правила!',
			'_mobi' => 'Вы ввели спам!Не нарушайте Правила!',
			'_name' => 'Вы ввели спам!Не нарушайте Правила!',
			'_net' => 'Вы ввели спам!Не нарушайте Правила!',
			'_org' => 'Вы ввели спам!Не нарушайте Правила!',
			'_cn' => 'Вы ввели спам!Не нарушайте Правила!',
			'_in' => 'Вы ввели спам!Не нарушайте Правила!',
			'_ru' => 'Вы ввели спам!Не нарушайте Правила!',
			'_рф' => 'Вы ввели спам!Не нарушайте Правила!',
			'_su' => 'Вы ввели спам!Не нарушайте Правила!',
			'_pp' => 'Вы ввели спам!Не нарушайте Правила!',
			'_ру' => 'Вы ввели спам!Не нарушайте Правила!',
			'_моби' => 'Вы ввели спам!Не нарушайте Правила!',
			'_mobi' => 'Вы ввели спам!Не нарушайте Правила!',
			
			' com' => 'Вы ввели спам!Не нарушайте Правила!',
			' info' => 'Вы ввели спам!Не нарушайте Правила!',
			' mobi' => 'Вы ввели спам!Не нарушайте Правила!',
			' name' => 'Вы ввели спам!Не нарушайте Правила!',
			' net' => 'Вы ввели спам!Не нарушайте Правила!',
			' org' => 'Вы ввели спам!Не нарушайте Правила!',
			' cn' => 'Вы ввели спам!Не нарушайте Правила!',
			' in' => 'Вы ввели спам!Не нарушайте Правила!',
			' ru' => 'Вы ввели спам!Не нарушайте Правила!',
			' su' => 'Вы ввели спам!Не нарушайте Правила!',
			' pp' => 'Вы ввели спам!Не нарушайте Правила!',
			' mobi' => 'Вы ввели спам!Не нарушайте Правила!',
			
			'*com' => 'Вы ввели спам!Не нарушайте Правила!',
			'*info' => 'Вы ввели спам!Не нарушайте Правила!',
			'*mobi' => 'Вы ввели спам!Не нарушайте Правила!',
			'*name' => 'Вы ввели спам!Не нарушайте Правила!',
			'*net' => 'Вы ввели спам!Не нарушайте Правила!',
			'*org' => 'Вы ввели спам!Не нарушайте Правила!',
			'*cn' => 'Вы ввели спам!Не нарушайте Правила!',
			'*in' => 'Вы ввели спам!Не нарушайте Правила!',
			'*ru' => 'Вы ввели спам!Не нарушайте Правила!',
			'*рф' => 'Вы ввели спам!Не нарушайте Правила!',
			'*su' => 'Вы ввели спам!Не нарушайте Правила!',
			'*pp' => 'Вы ввели спам!Не нарушайте Правила!',
			'*ру' => 'Вы ввели спам!Не нарушайте Правила!',
			'*моби' => 'Вы ввели спам!Не нарушайте Правила!',
			'*mobi' => 'Вы ввели спам!Не нарушайте Правила!',
			
			'+com' => 'Вы ввели спам!Не нарушайте Правила!',
			'+info' => 'Вы ввели спам!Не нарушайте Правила!',
			'+mobi' => 'Вы ввели спам!Не нарушайте Правила!',
			'+name' => 'Вы ввели спам!Не нарушайте Правила!',
			'+net' => 'Вы ввели спам!Не нарушайте Правила!',
			'+org' => 'Вы ввели спам!Не нарушайте Правила!',
			'+cn' => 'Вы ввели спам!Не нарушайте Правила!',
			'+in' => 'Вы ввели спам!Не нарушайте Правила!',
			'+ru' => 'Вы ввели спам!Не нарушайте Правила!',
			'+рф' => 'Вы ввели спам!Не нарушайте Правила!',
			'+su' => 'Вы ввели спам!Не нарушайте Правила!',
			'+pp' => 'Вы ввели спам!Не нарушайте Правила!',
			'+ру' => 'Вы ввели спам!Не нарушайте Правила!',
			'+моби' => 'Вы ввели спам!Не нарушайте Правила!',
			'+mobi' => 'Вы ввели спам!Не нарушайте Правила!',
			
			'пп' => 'Вы ввели спам!Не нарушайте Правила!',
			'imperia' => 'Вы ввели спам!Не нарушайте Правила!',
			'civa' => 'Вы ввели спам!Не нарушайте Правила!',
			'империя' => 'Вы ввели спам!Не нарушайте Правила!',
			'игру6ки' => 'Вы ввели спам!Не нарушайте Правила!',
			'игру6ек' => 'Вы ввели спам!Не нарушайте Правила!',
			'игрушки' => 'Вы ввели спам!Не нарушайте Правила!',
			'игрушек' => 'Вы ввели спам!Не нарушайте Правила!',
			'цивилизация' => 'Вы ввели спам!Не нарушайте Правила!',
			'цива' => 'Вы ввели спам!Не нарушайте Правила!',
			'цыва' => 'Вы ввели спам!Не нарушайте Правила!',
			'заварушка' => 'Вы ввели спам!Не нарушайте Правила!',
			'квазары' => 'Вы ввели спам!Не нарушайте Правила!',
			'quasars' => 'Вы ввели спам!Не нарушайте Правила!',
			'kok' => 'Вы ввели спам!Не нарушайте Правила!',
			'mgates' => 'Вы ввели спам!Не нарушайте Правила!',
			'мгейтс' => 'Вы ввели спам!Не нарушайте Правила!',
			'мгатес' => 'Вы ввели спам!Не нарушайте Правила!',
			////// АнтиМАТ
			'пошел на хуй' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'пошел_на_хуй' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'на хуй' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'нахуй' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'на_хуй' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'на...хуй' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила !',
			'на...х' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила !',
			'ебало' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'ебало закрой' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'еблан' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'шлюха' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'трахни' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'сука' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'ска' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'сучка' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'пиздец' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'пизда' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'блядь' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'блядина' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'хуй' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'выебон' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'выебывайся' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'не выебывайся' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'геи' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'гей' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'дурак' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'сволочь' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'идиот' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'карлик' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'с@у@к@а' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'су@ка' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'su4ka' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'дурочка' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'анал' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'анус' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'ахуеть' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'ахуенно' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'охуеть' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'охуенно' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'лох' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'лошок' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'lox' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'ублюдок' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'кретин' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'олух' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'подлец' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'поганец' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'скотина' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'стерва' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'шваль' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'негодяй' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'зараза' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'урод' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'уродина' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'мерзавец' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'мразь' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'халтурщик' => '>Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'чмо' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'ЧМО' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'Чмошник' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'чмошник' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'блять' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'говно' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'жопа' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'мразь' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'пидор' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'пидар' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'педик' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'хуесос' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'хуесосник' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'соси хуй' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'ебанько' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'хер' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'мудак' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'мудачина' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'фак' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'fuck' => '<Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'fuckin shet' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'хуйня' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'хватить пороть хуйню' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'ебаный идиот' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'кого ебёт' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'мне похуй' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'кого ебёт' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'кого ебет' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'мне поебать' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'охуеть' => '<b>Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'говножоп' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'бля' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'заебал' => '<b>Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'заебали' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'лохотрон' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'ебал твою мамку' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'ебал тебя' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'пиздабол' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'пиздаболы' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'охуел' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'охуели' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'петух' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'петушок' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'Стерва' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'Скотина' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'Мерзавец' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'Мразь' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'мразина' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'Мразина' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'Чмо болотное' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'ЧМОШНИК' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'Б...ь' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'Ж...а' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'Ср.. ть' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'Х...й' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'х...р' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'х...й' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'хрен' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'Чмо болотное' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'ЧМОШНИК' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'Б...ь' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!',
			'залупа' => 'Вы ввели нецензурную и/или завуалированную лексику!Не нарушайте Правила!'
        ));

        return $var;
    }
	function sc(){
	$copy = '<center><a href="http://vk.com/astronomika"><b>"Группа Вконтакте"</b></a><br/><font color=\"#99EEFF\">&copy; astronomika.mobi | Все права защищены</font><br/><font color=\"#99EEFF\">2017 | (ver 1.0) | 14+</font></center>';
    return $copy;
	}
function tags($var = '') {

    $var = preg_replace('#\[b\](.*?)\[/b\]#si', '<span style="font-weight: bold;">\1</span>', check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($var))))))));
    $var = preg_replace('#\[i\](.*?)\[/i\]#si', '<span style="font-style:italic;">\1</span>', check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($var))))))));
    $var = preg_replace('#\[u\](.*?)\[/u\]#si', '<span style="text-decoration:underline;">\1</span>', check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($var))))))));
    $var = preg_replace('#\[s\](.*?)\[/s\]#si', '<span style="text-decoration: line-through;">\1</span>', check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($var))))))));
    $var = preg_replace('#\[red\](.*?)\[/red\]#si', '<span style="color:red">\1</span>', check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($var))))))));
    $var = preg_replace('#\[green\](.*?)\[/green\]#si', '<span style="color:green">\1</span>', check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($var))))))));
    $var = preg_replace('#\[blue\](.*?)\[/blue\]#si', '<span style="color:blue">\1</span>', check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($var))))))));
	$var = preg_replace('#\[people\](.*?)\[/people\]#si', '<span class="people">\1</span>', check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($var))))))));
	$var = preg_replace('#\[cyborgs\](.*?)\[/cyborgs\]#si', '<span class="cyborgs">\1</span>', check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($var))))))));
	$var = preg_replace('#\[organ\](.*?)\[/organ\]#si', '<span class="organ">\1</span>', check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($var))))))));
	$var = preg_replace('#\[q\](.*?)\[/q\]#si', '<div class="quote">\1</div>', check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($var))))))));
    return $var;
}

	
	function usersonline() {
    $realtime = time();
    $users = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `lasttime` > '" . ($realtime - 120) . "'"), 0);
    return $users;
}

	function obn() {
    $realtime = time();
    $total=mysql_result(mysql_query("SELECT COUNT(*) FROM `obn`;"), 0);
    $count1 = mysql_result(mysql_query("SELECT COUNT(*) FROM `obn` WHERE `time` > '" . ($realtime - 86400) . "'"), 0);
    if ($count1 > 0)
    $total .= '&nbsp;<font color="#FFFFFF">+' . $count1 . '</font>';
    return $total;
}
	
	function news() {
    $realtime = time();
    $users = mysql_result(mysql_query("SELECT COUNT(*) FROM `news` WHERE `time` > '" . ($realtime - 1200) . "'"), 0);
    return $users;
}
	
	function rasa($level)
	{
		if($level==0)$status='<img src="http://astronomika/images/icon/48.png" alt="" />';
		if($level==1)$status='<img src="http://astronomika/images/race/people.png" alt="" />';
		if($level==2)$status='<img src="http://astronomika/images/race/cyborgs.png" alt="" />';
		if($level==3)$status='<img src="http://astronomika/images/race/organ.png" alt="" />';
		return $status;
	}
	function crasa($level)
	{
		if($level==0)$status='norasa';	
		if($level==1)$status='people';
		if($level==2)$status='cyborgs';
		if($level==3)$status='organ';
		return $status;
	}	
			//Рабочие
	function rab($level)
	{
		if($level==1)$status='<img src="http://localhost/sc/images/scv.jpg" alt="" /> КСМ';
		if($level==2)$status='<img src="http://localhost/sc/images/probe.jpg" alt="" /> Зонды';
		if($level==3)$status='<img src="http://localhost/sc/images/drone.jpg" alt="" /> Трутни';
		return $status;
	}
		function rab1($level)
	{
		if($level==1)$status='КСМ';
		if($level==2)$status='Зонды';
		if($level==3)$status='Трутни';
		return $status;
	}
		function m($level,$oc,$idw1,$idw2,$rasa)
	{
		if($level==1 AND $rasa==1)$status='<img src="../images/loc/k1.jpg" alt="image" />';
		if($level==1 AND $rasa==2)$status='<img src="../images/loc/k2.jpg" alt="image" />';
		if($level==1 AND $rasa==3)$status='<img src="../images/loc/k3.jpg" alt="image" />';
		if($level==2 AND $oc==0)$status='<img src="../images/loc/min.jpg" alt="image" />';
		if($level==3 AND $oc==0)$status='<img src="../images/loc/geyser.jpg" alt="image" />';
		if($level==4 AND $oc==0)$status='<img src="../images/loc/mount.jpg" alt="image" />';
		if($level==5 AND $oc==0)$status='<img src="../images/loc/water.jpg" alt="image" />';
		if($level==6 AND $oc==0)$status='<img src="../images/loc/ravn.jpg" alt="image" />';
		if($level==7 AND $oc==0)$status='<img src="../images/loc/forest.jpg" alt="image" />';
		//
		if($level==2 AND $oc==1 AND $idw1==$idw2)$status='<img src="../images/loc/omin.jpg" alt="image" />';
		if($level==3 AND $oc==1 AND $idw1==$idw2)$status='<img src="../images/loc/ogeyser.jpg" alt="image" />';
		if($level==4 AND $oc==1 AND $idw1==$idw2)$status='<img src="../images/loc/omount.jpg" alt="image" />';
		if($level==5 AND $oc==1 AND $idw1==$idw2)$status='<img src="../images/loc/owater.jpg" alt="image" />';
		if($level==6 AND $oc==1 AND $idw1==$idw2)$status='<img src="../images/loc/oravn.jpg" alt="image" />';
		if($level==7 AND $oc==1 AND $idw1==$idw2)$status='<img src="../images/loc/oforest.jpg" alt="image" />';
		//
		if($level==2 AND $oc==1 AND $idw1!=$idw2)$status='<img src="../images/loc/umin.jpg" alt="image" />';
		if($level==3 AND $oc==1 AND $idw1!=$idw2)$status='<img src="../images/loc/ugeyser.jpg" alt="image" />';
		if($level==4 AND $oc==1 AND $idw1!=$idw2)$status='<img src="../images/loc/umount.jpg" alt="image" />';
		if($level==5 AND $oc==1 AND $idw1!=$idw2)$status='<img src="../images/loc/uwater.jpg" alt="image" />';
		if($level==6 AND $oc==1 AND $idw1!=$idw2)$status='<img src="../images/loc/uravn.jpg" alt="image" />';
		if($level==7 AND $oc==1 AND $idw1!=$idw2)$status='<img src="../images/loc/uforest.jpg" alt="image" />';
		return $status;
	}
			//Ресурсы
	function res($level)
	{
		if($level==2)$status='<img src="http://space/images/images_main/metall.png" width="25px" alt="" /> <b>Металл</b>';
		if($level==3)$status='<img src="http://space/images/images_main/minerall.png" width="25px" alt="" /> <b>Минерал</b>';
		if($level==4)$status='<img src="http://space/images/images_main/gelium.png" width="25px" alt="" /> <b>Гелий</b>';
		if($level==5)$status='<img src="http://space/images/images_main/energi.png" width="25px" alt="" /> <b>Энергия</b>';
		if($level==6)$status='<img src="http://space/images/images_main/ozon.png" width="25px" alt="" /> <b>Озон</b>';
		if($level==7)$status='<img src="http://space/images/images_main/trit.png" width="25px" alt="" /> <b>Тритий</b>';
		return $status;
	}
			//Локации
	function loc($level)
	{
		if($level==2)$status='Добыча Металла';
		if($level==3)$status='Добыча Минералов';
		if($level==4)$status='Добыча Гелия';
		if($level==5)$status='Добыча Энергии';
		if($level==6)$status='Добыча Озона';
		if($level==7)$status='Добыча  Трития';
		return $status;
	}
	
			//Постройки
	function b($level, $rasa)
	{
		if($level==1 AND $rasa==1)$status='Командный центр';
		if($level==2 AND $rasa==1)$status='Хранилище';
		if($level==3 AND $rasa==1)$status='Инженерный комплекс';
		if($level==4 AND $rasa==1)$status='Станция наблюдения';
		if($level==5 AND $rasa==1)$status='Казармы';
		if($level==6 AND $rasa==1)$status='Лаборатория';
		if($level==7 AND $rasa==1)$status='Академия призраков';
		if($level==8 AND $rasa==1)$status='Завод';
		if($level==9 AND $rasa==1)$status='Арсенал';
		if($level==10 AND $rasa==1)$status='Космопорт';
		if($level==11 AND $rasa==1)$status='Центр синтеза';
		if($level==12 AND $rasa==1)$status='Ускоритель частиц';

		if($level==1 AND $rasa==2)$status='Нексус';
		if($level==2 AND $rasa==2)$status='Пилон';
		if($level==3 AND $rasa==2)$status='Кибернетическое ядро';
		if($level==4 AND $rasa==2)$status='Контактная башня';
		if($level==5 AND $rasa==2)$status='Врата';
		if($level==6 AND $rasa==2)$status='Оружейная';
		if($level==7 AND $rasa==2)$status='Архивы тамплиеров';
		if($level==8 AND $rasa==2)$status='Завод робототехники';
		if($level==9 AND $rasa==2)$status='Робототехнический узел';
		if($level==10 AND $rasa==2)$status='Звездные врата';
		if($level==11 AND $rasa==2)$status='Маяк флотилии';
		if($level==12 AND $rasa==2)$status='Телепортатор';

		if($level==1 AND $rasa==3)$status='Инкубатор';
		if($level==2 AND $rasa==3)$status='Гнездо';
		if($level==3 AND $rasa==3)$status='Эволюционная камера';
		if($level==4 AND $rasa==3)$status='Споровик';
		if($level==5 AND $rasa==3)$status='Омут рождения';
		if($level==6 AND $rasa==3)$status='Гнездо гиблингов';
		if($level==7 AND $rasa==3)$status='Рассадник тараканов';
		if($level==8 AND $rasa==3)$status='Берлога гидралисков';
		if($level==9 AND $rasa==3)$status='Яма заразителей';
		if($level==10 AND $rasa==3)$status='Пещера ультралиска';
		if($level==11 AND $rasa==3)$status='Шпиль';
		if($level==12 AND $rasa==3)$status='Сеть Нидуса';
		return $status;
	}
				//Юниты
	function units($level, $rasa)
	{
		if($level==1 AND $rasa==1)$status='Морпехи';
		if($level==2 AND $rasa==1)$status='Мародеры';
		if($level==3 AND $rasa==1)$status='Головорезы';
		if($level==4 AND $rasa==1)$status='Призраки';
		if($level==5 AND $rasa==1)$status='Геллионы';
		if($level==6 AND $rasa==1)$status='Осадные танки';
		if($level==7 AND $rasa==1)$status='Торы';
		if($level==8 AND $rasa==1)$status='Медэваки';
		if($level==9 AND $rasa==1)$status='Викинги';
		if($level==10 AND $rasa==1)$status='Вороны';
		if($level==11 AND $rasa==1)$status='Банши';
		if($level==12 AND $rasa==1)$status='Крейсеры';
		if($level==13 AND $rasa==1)$status='Ракета «Гончая»';

		if($level==1 AND $rasa==2)$status='Зилоты';
		if($level==2 AND $rasa==2)$status='Часовые';
		if($level==3 AND $rasa==2)$status='Сталкеры';
		if($level==4 AND $rasa==2)$status='Тамплиеры';
		if($level==5 AND $rasa==2)$status='Архонты';
		if($level==6 AND $rasa==2)$status='Бессмертные';
		if($level==7 AND $rasa==2)$status='Колоссы';
		if($level==8 AND $rasa==2)$status='Призмы искривления';
		if($level==9 AND $rasa==2)$status='Фениксы';
		if($level==10 AND $rasa==2)$status='Излучатели пустоты';
		if($level==11 AND $rasa==2)$status='Авианосцы';
		if($level==12 AND $rasa==2)$status='Материнские корабли';
		if($level==13 AND $rasa==2)$status='Псионный заряд';

		if($level==1 AND $rasa==3)$status='Зерглинги';
		if($level==2 AND $rasa==3)$status='Гиблинги';
		if($level==3 AND $rasa==3)$status='Тараканы';
		if($level==4 AND $rasa==3)$status='Королевы';
		if($level==5 AND $rasa==3)$status='Гидралиски';
		if($level==6 AND $rasa==3)$status='Заразители';
		if($level==7 AND $rasa==3)$status='Ультралиски';
		if($level==8 AND $rasa==3)$status='Владыки';
		if($level==9 AND $rasa==3)$status='Муталиски';
		if($level==10 AND $rasa==3)$status='Губители';
		if($level==11 AND $rasa==3)$status='Хозяины стаи';
		if($level==12 AND $rasa==3)$status='Левиафаны';
		if($level==13 AND $rasa==3)$status='Кислотная бомба';
		return $status;
	}
				//Отряды
	function otr($rasa, $fr1, $fr2, $uid1, $uid2)
	{
		if($rasa==1 AND $uid1==$uid2)$status='<img src="http://localhost/sc/images/space/t1.jpg" alt="" />';
		if($rasa==1 AND $uid1!=$uid2 AND $fr1==$fr2 AND $fr1!=0 AND $fr2!=0)$status='<img src="http://localhost/sc/images/space/tf1.jpg" alt="" />';
		if($rasa==1 AND $uid1!=$uid2 AND (($fr1==$fr2 AND $fr1==0 AND $fr2==0) OR ($fr1!=$fr2 AND $fr1!=0 AND $fr2==0) OR ($fr1!=$fr2 AND $fr1==0 AND $fr2!=0) OR ($fr1!=$fr2 AND $fr1!=0 AND $fr2!=0)))$status='<img src="http://localhost/sc/images/space/tw1.jpg" alt="" />';
		
		if($rasa==2 AND $uid1==$uid2)$status='<img src="http://localhost/sc/images/space/t2.jpg" alt="" />';
		if($rasa==2 AND $uid1!=$uid2 AND $fr1==$fr2 AND $fr1!=0 AND $fr2!=0)$status='<img src="http://localhost/sc/images/space/tf2.jpg" alt="" />';
		if($rasa==2 AND $uid1!=$uid2 AND (($fr1==$fr2 AND $fr1==0 AND $fr2==0) OR ($fr1!=$fr2 AND $fr1!=0 AND $fr2==0) OR ($fr1!=$fr2 AND $fr1==0 AND $fr2!=0) OR ($fr1!=$fr2 AND $fr1!=0 AND $fr2!=0)))$status='<img src="http://localhost/sc/images/space/tw2.jpg" alt="" />';
		
		if($rasa==3 AND $uid1==$uid2)$status='<img src="http://localhost/sc/images/space/t3.jpg" alt="" />';
		if($rasa==3 AND $uid1!=$uid2 AND $fr1==$fr2 AND $fr1!=0 AND $fr2!=0)$status='<img src="http://localhost/sc/images/space/tf3.jpg" alt="" />';
		if($rasa==3 AND $uid1!=$uid2 AND (($fr1==$fr2 AND $fr1==0 AND $fr2==0) OR ($fr1!=$fr2 AND $fr1!=0 AND $fr2==0) OR ($fr1!=$fr2 AND $fr1==0 AND $fr2!=0) OR ($fr1!=$fr2 AND $fr1!=0 AND $fr2!=0)))$status='<img src="http://localhost/sc/images/space/tw3.jpg" alt="" />';
		return $status;
	}
//Исследования
	function science($level)
	{
		if($level==1)$status='Восстановление запасов';
		if($level==2)$status='Добыча минералов';
		if($level==3)$status='Добыча Газа Веспен';
		if($level==4)$status='Добыча металлов';
		if($level==5)$status='Добыча воды';
		if($level==6)$status='Добыча кредитов';
		if($level==7)$status='Добыча провизии';
		return $status;
	}
		
		function met($level)
	{
		if($level==1)$status='Метеорит';
		if($level==2)$status='Огромный метеорит';
		if($level==3)$status='Комета';
		if($level==4)$status='Огромная комета';
		return $status;
	}
					function at1($w)
	{
		if($w==0)$status='<span style="color:red">на</span>';
		if($w==1)$status='лн';
		if($w==2)$status='тн';
		if($w==3)$status='вз';
		return $status;
	}
	   		function torg($level)
	{
		if($level==1)$status='<img src="/images/images_main/metall.png" width="25px" alt="" /> Металлов';
		if($level==2)$status='<img src="/images/images_main/gelium.png" width="25px"  alt=""/> Гелия';
		if($level==3)$status='<img src="/images/images_main/minerall.png" width="25px"  alt=""/> Минералов';
		if($level==4)$status='<img src="/images/images_main/trit.png" width="25px"  alt=""/> Трития';
		if($level==5)$status='<img src="/images/images_main/energi.png" width="25px alt="" /> Энергии';
		return $status;
	}
	
		function art($type, $level)
	{
		if($type==1)$status='Броня Мародера ['.$level.']';
		if($type==2)$status='Скелет Абберации ['.$level.']';
		if($type==3)$status='Энергетический щит Феникса ['.$level.']';
		if($type==4)$status='Ассимилятор протоссов ['.$level.']';
		if($type==5)$status='МУЛ терранов ['.$level.']';
		if($type==6)$status='Расщепляющая эссенция зергов ['.$level.']';
		if($type==7)$status='Синтез воды Зелл-Нага ['.$level.']';
		if($type==8)$status='Минеральный запас ['.$level.']';
		if($type==9)$status='Обломок древнего корябля ['.$level.']';
		if($type==10)$status='Веспеновое хранилище ['.$level.']';
		return $status;
	}
			function iart($type, $level)
	{
		if($type==1)$status='+ '.$level.' к рангу легких наземных войск';
		if($type==2)$status='+ '.$level.' к рангу тяжелых наземных войск';
		if($type==3)$status='+ '.$level.' к рангу воздушных войск';
		if($type==4)$status='+ '.$level.' к исследованию Добыча Газа Веспен';
		if($type==5)$status='+ '.$level.' к исследованию Добыча Минералов';
		if($type==6)$status='+ '.$level.' к исследованию Добыча Металлов';
		if($type==7)$status='+ '.$level.' к исследованию Добыча Воды';
		if($type==8)$status='+ '.($level*10000).' минералов';
		if($type==9)$status='+ '.($level*10000).' металов';
		if($type==10)$status='+ '.($level*10000).' газа Веспен';
		return $status;
	}
?>